Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.parser
Class HttpParserTokenManager

    java.lang.Object
      org.apache.tomcat.util.http.parser.HttpParserTokenManager

All Implemented Interfaces:
  HttpParserConstants

    public class HttpParserTokenManager

extends Object
implements HttpParserConstants

Token Manager.

Field Summary
`protected char` | `curChar`
`PrintStream` | `debugStream` Debug output.
`protected SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState` Lex State array.
`static String[]` | `jjstrLiteralImages` Token literal values.
`static String[]` | `lexStateNames` Lexer state names.

Fields inherited from interface org.apache.tomcat.util.http.parser.HttpParserConstants
`CHAR, DEFAULT, END_QUOTE, EOF, EQUALS, FORWARD_SLASH, HT, HTTP_TOKEN, HTTP_TOKEN_CHAR, IN_QUOTED_TEXT, LWS, QUOTED_STRING, QUOTED_TEXT, QUOTED_TEXT_CHAR, SEMI_COLON, SP, START_QUOTE, tokenImage`

Constructor Summary
`HttpParserTokenManager(SimpleCharStream stream)` Constructor.
`HttpParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`Token` | `getNextToken()` Get the next Token.
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` | `setDebugStream(PrintStream ds)` Set debug output.
`void` | `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final String[] lexStateNames

  Lexer state names.

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### HttpParserTokenManager

    public HttpParserTokenManager(SimpleCharStream stream)

  Constructor.

### HttpParserTokenManager

    public HttpParserTokenManager(SimpleCharStream stream,
                                  int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

  Get the next Token.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.